
# Tsx Parser errors:
# Most parser errors have:
# 0: The line number of the error,
# 1: The column number of the error
# Plus additional info as specified below

# Bean problems
pagecompile.tsx.parser.bean.noname={0},{1}: No NAME specified in <BEAN> tag.
pagecompile.tsx.parser.bean.beandefnotfound=Could not find the definition for bean {0}.
pagecompile.tsx.parser.bean.nointrospect=Could not introspect bean class {0}.
pagecompile.tsx.parser.bean.noclassforprop=Could not find a bean class for property {0}.
pagecompile.tsx.parser.bean.beannotloaded=Bean {0} has not been previously defined in a <bean> tag.
pagecompile.tsx.parser.bean.nopropfound=Could not find property {0} in bean class {1}.
pagecompile.tsx.parser.bean.indexonnoindexed=An index has been specified for non-indexed property {0} in bean class {1}.
pagecompile.tsx.parser.bean.noproptype=Could not find the return type for property {0}.
pagecompile.tsx.parser.bean.noreadmethod=Could not find a read method for property {0} in bean class {1}.  The property may be hidden or write only.
pagecompile.tsx.parser.bean.cannotloadfromser={0},{1}: Could not load bean {2} from serialized file {3} or as class {4} as specified in <BEAN> tag.
pagecompile.tsx.parser.bean.cannotload={0},{1}: Could not load bean {2} as class {3} as specified in <BEAN> tag.

# Insert problems
pagecompile.tsx.parser.insert.unterm={0},{1}: Unterminated <insert> tag.
pagecompile.tsx.parser.insert.nopropforbean={0},{1}: No property defined for bean in <insert> tag.
pagecompile.tsx.parser.insert.nobeanorreq={0},{1}: No BEAN, REQUESTPARM, or REQUESTATTR specified in <insert> tag.
pagecompile.tsx.parser.insert.nopropsigforprop={0},{1}: Could not create a signature for property requested for BEAN in <insert> tag.

# Repeat problems
pagecompile.tsx.parser.rpt.unmatched=File contains {0} <repeat> tag(s) with no matching </repeat> tag(s).
pagecompile.tsx.parser.closerpt.unmatched=File contains {0} </repeat> tag(s) with no matching <repeat> tag(s).
pagecompile.tsx.parser.closerpt.noopen={0},{1}: No <repeat> tag to match this </repeat> tag.
pagecompile.tsx.parser.rpt.redefindex={0},{1}: Index specified in <repeat> tag has already been defined.

# Repeat Group problems
pagecompile.tsx.parser.rptgrp.unmatched=File contains {0} <repeatgroup> tag(s) with no matching </repeatgroup> tag(s).
pagecompile.tsx.parser.closerptgrp.unmatched=File contains {0} </repeatgroup> tag(s) with no matching <repeatgroup> tag(s).
pagecompile.tsx.parser.closerptgrp.noopen={0},{1}: No <repeatgroup> tag to match this </repeatgroup> tag.
pagecompile.tsx.parser.rptgrp.nobeanonoutermost={0},{1}: No BEAN specified in outer most <repeatgroup> tag.
pagecompile.tsx.parser.rptgrp.nobeanorprop={0},{1}: Either could not find BEAN or bean does not contain PROPERTY specified in <repeatgroup> tag.
pagecompile.tsx.parser.rptgrp.nobeanprop={0},{1}: No PROPERTY specified for bean specified in <repeatgroup> tag.
